Read one pattern model

One of the authenticated user's pattern models, with its examples. A model belonging to another account is 404 — a read does not confirm an id exists.

Path Parameters
  • id
    Type: string
    min length:  
    1
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/api/v2/pattern-models/{id}
curl 'https://scanr.ai/api/v2/api/v2/pattern-models/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "model": {
    "id": "string",
    "name": "string",
    "tags": [
      {
        "tag_name": "string",
        "tag_color": "string"
      }
    ],
    "notes": "string",
    "timeframe": "1d",
    "scale": 1,
    "status": "draft",
    "staleReason": "encoder_version",
    "failureReason": "too_few_positives",
    "headType": "prototype",
    "threshold": 1,
    "scoreBand": {
      "modelVersion": "string",
      "measuredAt": "string",
      "universeSize": 1,
      "quantiles": [
        {
          "percentile": 1,
          "cosine": 1
        }
      ]
    },
    "modelVersion": null,
    "positiveCount": 1,
    "negativeCount": 1,
    "matchCount": null,
    "matchCountAt": null,
    "trainedAt": null,
    "createdAt": "string",
    "updatedAt": "string",
    "examples": [
      {
        "id": "string",
        "ticker": "string",
        "figi": "string",
        "timeframe": "1d",
        "scale": 1,
        "asOf": "string",
        "barsFingerprint": "string",
        "label": "positive",
        "source": "picker",
        "pickedAt": "string",
        "drifted": true
      }
    ]
  }
}